CAAD

Comunidad de Aventuras Conversacionales y Relatos Interactivos
Fecha actual 13 Dic 2017 02:27

Todos los horarios son UTC + 1 hora




Nuevo tema Responder al tema  [ 8 mensajes ] 
Autor Mensaje
 Asunto: ngPAWS beta 10
NotaPublicado: 27 Feb 2017 23:16 
Desconectado
Momio
Momio
Avatar de Usuario

Registrado: 09 Mar 2004 16:14
Mensajes: 4614
Hola!

Acabo de subir la beta de 10 de ngPAWS compilada para linux x64. Espero poder subir las versiones para Win32, OSX y Linux arm (Raspberry Pi) en los próximos días:

http://www.ngpaws.com/es.html#Downloads

Este es el changelog:

Beta 10 - March 2017
====================

- ANYKEY and other similar condacts that requiere a callback function can now be overlapping, as the callback function includes a stack now, instead of a single value.
- MODE condact partially works now: value 0 means text window is cleared when a new location is described, any other value means the text remains unaltered.
- Nested PROCESS CALLs are now interrupted if DESC happens.
- PICTUREAT condact rebuilt, it was very buggy.
- Fixed bug with object that had aConcealed and aScenery attributes at the same time.
- Fixed bug in NEWTEXT condact.
- Several changes for IDE accesibility.
- Now tapping on touch screen while waiting for a key in ANYKEY will react as key pressed.
- Added several css themes.
- Fixed some typos and changed some comments in spanish start database. Thanks to @cybersheep.

_________________
Sígueme en twitter: @uto_dev
http://www.ngpaws.com


Arriba
 Perfil  
 
NotaPublicado: 28 Feb 2017 13:01 
Desconectado
Enano Maluva
Enano Maluva
Avatar de Usuario

Registrado: 16 Nov 2016 12:05
Mensajes: 49
¡JORL! Ya puedo usar el IDE (por lo menos en Ubuntu 64bits). ¡Qué bien! Enhorabuena.

Un apunte. Para algunos usuarios creo que puede ser un problema que el archivo dentro del zip no sea .tar (pensaba que no hacía falta especificarlo en Linux pero veo que, por lo menos con mi configuración, me daba error al intentar descomprimirlo aunque sí me ha detectado correctamente el tipo de archivo... Mmmm

Estooo... es cibersheep (con i latina) ^_^

A modo de teaser, te diré que estoy trabando en algo. Ya te comentaré cuando lo tenga más avanzado.

Saludos


Arriba
 Perfil  
 
NotaPublicado: 28 Feb 2017 14:18 
Desconectado
Momio
Momio
Avatar de Usuario

Registrado: 09 Mar 2004 16:14
Mensajes: 4614
La verdad es que no sé como he acabado haciendo un .zip.tgz, en realidad son .tgz. Supongo que me lié al renombrar ficheros y de alguna manera acabé con ese .zip de más en el nombre del fichero. Acabo de subirlos como tgz a secas.

Mis disculpas por el cambio de nick, lo actualizo en el whatsnew para que al menos la beta 11 y las betas 10 de otras plataformas salgan bien O:-)

_________________
Sígueme en twitter: @uto_dev
http://www.ngpaws.com


Arriba
 Perfil  
 
NotaPublicado: 28 Feb 2017 14:52 
Desconectado
Enano Maluva
Enano Maluva
Avatar de Usuario

Registrado: 16 Nov 2016 12:05
Mensajes: 49
Uto escribió:
La verdad es que no sé como he acabado haciendo un .zip.tgz, en realidad son .tgz. Supongo que me lié al renombrar ficheros y de alguna manera acabé con ese .zip de más en el nombre del fichero. Acabo de subirlos como tgz a secas.


A mí no me mires XD

Uto escribió:
Mis disculpas por el cambio de nick, lo actualizo en el whatsnew para que al menos la beta 11 y las betas 10 de otras plataformas salgan bien O:-)

No te preocupes, culpa mía por mezclar idiomas. La peor versió que vi fue CiverShip XD


Arriba
 Perfil  
 
NotaPublicado: 26 Jun 2017 16:34 
Desconectado
Aventurero
Aventurero

Registrado: 01 Abr 2014 11:04
Mensajes: 7
Hola,

Intentando retormar la creación, me he descargado la versión para linux y me salta el siguiente mensaje de error al querer ejecutar la aventura base:

Código:
Ejecutando preprocesador...
/Juegos/ngpaws_beta9_linux_x64_ES/txtpaws -uk -CLEAN -Idat/ /Juegos/ngpaws_beta9_linux_x64_ES/aventuras/NuevaAventura.tmp

/Juegos/ngpaws_beta9_linux_x64_ES/txtpaws: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /Juegos/ngpaws_beta9_linux_x64_ES/txtpaws)
                                                                                                                                               


Uso linux debian 64bits

:roll:


Arriba
 Perfil  
 
NotaPublicado: 26 Jun 2017 16:52 
Desconectado
Aventurero
Aventurero

Registrado: 01 Abr 2014 11:04
Mensajes: 7
Marco Mabino escribió:
Hola,

Intentando retormar la creación, me he descargado la versión para linux y me salta el siguiente mensaje de error al querer ejecutar la aventura base:

Código:
Ejecutando preprocesador...
/Juegos/ngpaws_beta9_linux_x64_ES/txtpaws -uk -CLEAN -Idat/ /Juegos/ngpaws_beta9_linux_x64_ES/aventuras/NuevaAventura.tmp

/Juegos/ngpaws_beta9_linux_x64_ES/txtpaws: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /Juegos/ngpaws_beta9_linux_x64_ES/txtpaws)
                                                                                                                                               


Uso linux debian 64bits

:roll:


Edito:
Actualizo SO y pensaba que lo solucionaba, pero nop, no tira, sigue saliendo el mismo error. ¿No tienes una versión 9 disponible para descargar?


Arriba
 Perfil  
 
NotaPublicado: 27 Jun 2017 22:30 
Desconectado
Momio
Momio
Avatar de Usuario

Registrado: 09 Mar 2004 16:14
Mensajes: 4614
Marco Mabino escribió:
Marco Mabino escribió:
Hola,

Intentando retormar la creación, me he descargado la versión para linux y me salta el siguiente mensaje de error al querer ejecutar la aventura base:

Código:
Ejecutando preprocesador...
/Juegos/ngpaws_beta9_linux_x64_ES/txtpaws -uk -CLEAN -Idat/ /Juegos/ngpaws_beta9_linux_x64_ES/aventuras/NuevaAventura.tmp

/Juegos/ngpaws_beta9_linux_x64_ES/txtpaws: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /Juegos/ngpaws_beta9_linux_x64_ES/txtpaws)
                                                                                                                                               


Uso linux debian 64bits

:roll:




Edito:
Actualizo SO y pensaba que lo solucionaba, pero nop, no tira, sigue saliendo el mismo error. ¿No tienes una versión 9 disponible para descargar?


No estoy seguro, pero creo que los problemas serán los mismos, las dependencias: quizá lo mejor es que compiles txtpaws tu mismo- ¿sabes hacerlo?

Este es el enlace a los últimos fuentes, en teoría solo tienes que hacer "make" en su carpeta (y tener instalado g++ y make, claro).

https://github.com/Baltasarq/txtpaws/archive/master.zip

_________________
Sígueme en twitter: @uto_dev
http://www.ngpaws.com


Arriba
 Perfil  
 
NotaPublicado: 28 Jun 2017 05:48 
Desconectado
Aventurero
Aventurero

Registrado: 01 Abr 2014 11:04
Mensajes: 7
Uto escribió:

No estoy seguro, pero creo que los problemas serán los mismos, las dependencias: quizá lo mejor es que compiles txtpaws tu mismo- ¿sabes hacerlo?

Este es el enlace a los últimos fuentes, en teoría solo tienes que hacer "make" en su carpeta (y tener instalado g++ y make, claro).

https://github.com/Baltasarq/txtpaws/archive/master.zip


Hecho y funciona.

Gracias!


Arriba
 Perfil  
 
Mostrar mensajes previos:  Ordenar por  
Nuevo tema Responder al tema  [ 8 mensajes ] 

Todos los horarios son UTC + 1 hora


¿Quién está conectado?

Usuarios navegando por este Foro: Google [Bot] y 2 invitados


No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro

Buscar:
Saltar a:  
cron
Desarrollado por phpBB® Forum Software © phpBB Group
Traducción al español por Huan Manwë para phpBB-Es.COM